Name:    dolphin-plugins
Summary: Dolphin plugins for revision control systems
Version: 4.11.4
Release: 1%{?dist}

License: GPLv2+
URL:     https://projects.kde.org/projects/kde/kdesdk/dolphin-plugins
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kdelibs4-devel >= %{version}
BuildRequires:  kde-baseapps-devel >= %{version}

Requires:       dolphin%{?_kde4_version: >= %{_kde4_version}}

Conflicts:      kdesdk-common < 4.10.80
Provides:       kdesdk-dolphin-plugins = %{version}-%{release}
Obsoletes:      kdesdk-dolphin-plugins < 4.10.80

%description
Plugins for the Dolphin file manager integrating the following revision control
systems:
* Git
* Subversion (SVN)
* Bazaar (Bzr)
* Mercurial (Hg)

%prep
%setup -q -n %{name}-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%files
%{_kde4_libdir}/kde4/fileviewgitplugin.so
%{_kde4_libdir}/kde4/fileviewsvnplugin.so
%{_kde4_libdir}/kde4/fileviewbazaarplugin.so
%{_kde4_libdir}/kde4/fileviewhgplugin.so
%{_kde4_datadir}/config.kcfg/fileviewgitpluginsettings.kcfg
%{_kde4_datadir}/config.kcfg/fileviewsvnpluginsettings.kcfg
%{_kde4_datadir}/config.kcfg/fileviewhgpluginsettings.kcfg
%{_kde4_datadir}/kde4/services/fileviewgitplugin.desktop
%{_kde4_datadir}/kde4/services/fileviewsvnplugin.desktop
%{_kde4_datadir}/kde4/services/fileviewbazaarplugin.desktop
%{_kde4_datadir}/kde4/services/fileviewhgplugin.desktop

%changelog
* Fri Dec 13 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.4-1
- 4.11.4

* Sat Nov 02 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.3-1
- 4.11.3

* Sat Sep 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.2-1
- 4.11.2

* Wed Sep 04 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.1-1
- 4.11.1

* Wed Aug 14 2013 Jan Grulich <jgrulich@redhat.com> - 4.11.0-1
- 4.11.0

* Wed Aug 07 2013 Jan Grulich <jgrulich@redhat.com> - 4.10.97-1
- Split off from kdesdk package
